sock_puts(3z)

NAME
sock_write - write string to a network socket

SYNOPSIS
#include <net/socket.h>

size_t sock_puts(SOCKET *s, char *dp);

DESCRIPTION
The parameter s is a descriptor to an open socket created using sock_open(3z) or sock_listen(3z)

The sock_puts() function writes the NULL terminated string dp to the socket specified by s.

RETURN VALUE
The sock_write() function returns the number of bytes written to the socket. If an illegal socket is supplied the carry flag will be set and the return value will be EPROTONOSUPPORT.

SEE ALSO
sock_write(3z), sock_putc(3z)

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>